Subject: bug#44916: closed (Re: bug#44916: No option to add whisker menu to xfce panel after installing package xfce4-whiskermenu-plugin.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Aug 2023 10:21:02 +0000

Your bug report

#44916: No option to add whisker menu to xfce panel after installing package xfce4-whiskermenu-plugin.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44916: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44916
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44916: No option to add whisker menu to xfce panel after installing package xfce4-whiskermenu-plugin.
From: 宋文武 <[email-masked]>
To: [email-masked]
Cc: Kei Kebreau <[email-masked]>, [email-masked], Michael Rohleder <[email-masked]>
Date: Fri, 25 Aug 2023 18:20:35 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> Hello Kei and Michael,
>
> Thank you for your work. I'm sorry that I lack technical expertise to
> comment on the patch, nor am I able to test it. I'm also not sure
> about if I should send this email or not because I could not provide
> any insights into this issue. Please inform me if you find this email
> annoying.
> Again, thank you for your work!
>
> Regards.
>
> On Sun, Dec 6, 2020, at 00:11, Kei Kebreau wrote:
>> Hello again!
>> 
>> If you are able, please take a look at patch #45062 linked below.  I've
>> slightly modified Michael's patch and added one of my own to take a shot
>> at solving this issue.  If it passes review (or no one says anything for
>> a while), these changes will be applied to Guix proper.
>> 
>> The patch is here: https://issues.guix.gnu.org/45062
>> 
>> Thanks,
>> Kei
>> 
>> Attachments:
>> * signature.asc

Hello, I believe this issue had been fixed (since #45062), closing.

If not feel free to contact me, thanks!

Subject: No option to add whisker menu to xfce panel after installing package xfce4-whiskermenu-plugin.
From: [email-masked]
To: [email-masked]
Date: Sat, 28 Nov 2020 00:05:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

After doing a fresh install of Guix system using the graphics install menu and picking the xfce option, I decided to substitute xfce's "Applications" menu with the "Whisker" menu.

Thus, I used command "guix install xfce4-whiskermenu-plugin" to install the package. After a system reboot, I opened the menu for adding items to the xfce panel. However, the option "Whisker Menu" isn't there.

I asked this problem on irc and irc user "mroh" told me that this plugin looks broken and they will try to fix it. They also asked me to make a bug report:
> mroh | PotentailUser-53: that plugin does indeed looks broken: ~/.guix-profile/bin/xfce4-popup-whiskermenu: line 47: /gnu/store/clmv25gbfjrajvh8bsnhfj3w86kry004-xfce4-whiskermenu-plugin-2.4.6/bin/xfce4-panel: No such file or directory

Regards.